Subject: Hillary Clinton's REVENGE On Trump Supporters? UNCENSORED VIDEO

From: "HSI Alerts" <[email-masked]>
Date: Fri, 13 Jan 2017 12:09:56 -0800

Your email client does not support HTML, this email must be viewed in HTML mode.